﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Tidstagning
{
    public partial class ConfigUI : Form
    {
        public ConfigUI()
        {
            InitializeComponent();
        }

        private void buttonFolderInput_Click(object sender, EventArgs e)
        {
            folderBrowserInput.ShowDialog();
            textPathInput.Text = folderBrowserInput.SelectedPath;
        }

        private void buttonFolderOutput_Click(object sender, EventArgs e)
        {
            folderBrowserOutput.ShowDialog();
            textPathOutput.Text = folderBrowserOutput.SelectedPath;
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void buttonSave_Click(object sender, EventArgs e)
        {
            Properties.Settings.Default.Save();
            this.Close();
        }

        private void checkBoxRelay_CheckedChanged(object sender, EventArgs e)
        {
            panelRelaySettings.Enabled = checkBoxRelay.Enabled;
        }
    }
}
